# Class DatasourceManager

The GeoMapFish DataSources Manager is responsible of listening to the c2cgeoportal's themes to create instances of `ngeo.datasource.DataSource` objects with the layer definitions found and push them in the `DataSources` collection. The Manager must be initialized with the app's map using the `setDatasourceMap()` method.

When changing theme, these data sources are cleared then re-created.

Used metadata:

- `identifierAttributeField`: The field used in the 'display query window' as feature title. For WMS layers.

- Defined in src/datasource/Manager.js:77

#####
Index

### Constructors

constructor

### Properties

gmfDatasourceOptions

## Constructors

### constructor

- new DatasourceManager($q, $rootScope, $timeout, $injector, gmfThemes, gmfTreeManager, ngeoBackgroundLayerMgr, ngeoDataSources, ngeoLayerHelper, ngeoRuleHelper, ngeoWMSTime, gmfWFSAliases): DatasourceManager

- #### Parameters

  - $q: IQService

    Angular q service

  - $rootScope: IScope

    Angular rootScope.

  - $timeout: ITimeoutService

    Angular timeout service.

  - $injector: IInjectorService

    Main injector.

  - gmfThemes: any

    The gmf Themes service.

  - gmfTreeManager: any

    The gmf TreeManager service.

  - ngeoBackgroundLayerMgr: MapBackgroundLayerManager

    Background layer manager.

  - ngeoDataSources: DataSource

    Ngeo data sources service. data sources service.

  - ngeoLayerHelper: LayerHelper

    Ngeo Layer Helper.

  - ngeoRuleHelper: RuleHelper

    Ngeo rule helper service.

  - ngeoWMSTime: WMSTime

    wms time service.

  - gmfWFSAliases: any

    Gmf WFS aliases service.

  #### Returns DatasourceManager

  #### Ng Inject

  #### Ngdoc

  service

  #### Ngname

  gmfDataSourcesManager

  - Defined in src/datasource/Manager.js:99

## Properties

### gmfDatasourceOptions

gmfDatasourceOptions: {
gmfDatasourceOptions: any;
import(): any;
}

#### Type declaration

- ##### gmfDatasourceOptions: any

- ##### import:function

  - import(): any

  - #### Parameters

    - : any

    #### Returns any

    - Defined in src/datasource/Manager.js:239

- Defined in src/datasource/Manager.js:241

Generated using TypeDoc